﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Player : MonoBehaviour
{

   public float moveSpeed = 5f;
   public float rotateSpeed = 1000f;
   Vector2 movement;
   float angle;
   Vector2 mouseDirection;
   Quaternion rotation;
   public Rigidbody2D rB;

   void Start()
   {

   }

   void Update()
   {

      movement.x = Input.GetAxisRaw("Horizontal");
      movement.y = Input.GetAxisRaw("Vertical");

      mouseDirection = Camera.main.ScreenToWorldPoint(Input.mousePosition) - transform.position;
      angle = Mathf.Atan2(mouseDirection.x, mouseDirection.y) * Mathf.Rad2Deg;
      rotation = Quaternion.AngleAxis(-angle, Vector3.forward);

   }
   void FixedUpdate()
   {

      rB.MovePosition(rB.position + movement * moveSpeed * Time.fixedDeltaTime);

      transform.rotation = Quaternion.Slerp(transform.rotation, rotation, rotateSpeed * Time.fixedDeltaTime);

   }
}
